%define upstream_name    Gtk2-SourceView
%define upstream_version 1.000

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15

Summary:	Perl upstream_name for the gtksourceview library
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Url:		http://gtk2-perl.sf.net/
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Gtk2-SourceView-1.000-port-to-api2.patch

BuildRequires:	gtk+2-devel 
BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	libgtksourceview-1.0-devel >= 0.7 
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Glib)                 >  1.00
BuildRequires:	perl(Gnome2)               >= 0.30
BuildRequires:	perl(Gnome2::Print)
BuildRequires:	perl-devel 

# for data files:
Requires:	gtksourceview1
Requires:	gtk+2

%description
This module provides perl access to the libgtksourceview library, a library
that adds syntax highlighting, line numbers, and other programming-editor
features.
GtkSourceView specializes these features for a code editor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# (tv) disabled (not enought to build with gtksourceview-2):
#%patch -p0
find -type d -name CVS | xargs rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-15.mga3
+ Revision: 367918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0.0-14.mga3
+ Revision: 250744
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 1.0.0-13.mga2
+ Revision: 135830
- rebuild

* Sun Jun 12 2011 sander85 <sander85> 1.0.0-12.mga2
+ Revision: 104641
- Rebuild for perl 5.14

* Tue Jan 25 2011 jquelin <jquelin> 1.0.0-11.mga1
+ Revision: 38296
- mageia rebuild
- imported package perl-Gtk2-SourceView

